/* Neues Monitorfile ins System hngen
   MonitorID fr A2410, Auflsung festlegen 
   (aus get_config() )
   a2410_Monitor_ID =   0x00100000
   a2410_0_Key      =   MODE_1024x768_NI  // 0
   a2410_1_Key      =   MODE_800x600_NI   // 1
   a2410_2_Key      =   MODE_640x400_I    // 2
   a2410_3_Key      =   MODE_1024x768_I   // 3
   a2410_4_Key      =   MODE_1024x1024_NI // 4
   a2410_5_Key      =   MODE_736x480_NI   // 5
   a2410_6_Key      =   MODE_1024x1024_NI_67point88MHz // 6
   a2410_DEF_Key    =   TIGA
   a2410_PREV_Key   =   PREVIOUS

   Bsp: DiplsayID 2410/Hi_0 : 0x00108000
        = a2410_Monitor_ID|a2410_clk0_Key;

   ********************************************
   ACHTUNG : TIGA mit loadtiga initialisieren !
   ********************************************
*/

#ifndef TIGA_DEVTIGA_H
#include <a2410/devtiga.h>
#endif

#define A2410_MONB 20  // Bit #20

#define A2410_MONITOR_ID    (1<<A2410_MONB)
#define A2410_1024x768_KEY  MODE_1024x768_NI
#define A2410_800x600_KEY   MODE_800x600_NI   
#define A2410_640x400_KEY   MODE_640x400_I    
#define A2410_1024x768I_KEY MODE_1024x768_I   
#define A2410_1024x1024_KEY MODE_1024x1024_NI 
#define A2410_736x480_KEY   MODE_736x480_NI   
#define A2410_1024x768x67_KEY MODE_1024x1024_NI_67point88MHz
//#define a2410_DEF_Key     TIGA
//#define a2410_PREV_Key    PREVIOUS

#define	a2410_COLORCLOCKS   226
#define	a2410_TOTAL_ROWS    480
#define	a2410_DENISE_MIN	59
#define	a2410_MIN_ROW	    29
#define	a2410_HBSTRT	    0x08
#define	a2410_HSSTRT	    0x0E
#define	a2410_HSSTOP	    0x1C
#define	a2410_HBSTOP	    0x1E
#define	a2410_VBSTRT	    0x0000
#define	a2410_VSSTRT	    0x0153
#define	a2410_VSSTOP	    0x0235
#define	a2410_VBSTOP	    0x0CCD

#define A2410_MONITOR_NAME "a2410.monitor"

#define TIGA_1024x1024_NI "1024x1024_ni"
#define TIGA_1024x768_NI "1024x768_ni"
#define TIGA_1024x768_2_NI "1024x768_2_ni"
#define TIGA_1024x768_I "1024x768_i"
#define TIGA_800x600 "800x600_ni"
#define TIGA_640x480 "640x400_i"
#define TIGA_736x480 "736x480_ni"
