#ifndef GRAPHICS_TYPES_H
#define GRAPHICS_TYPES_H

// List of Font cache entries :
struct FontCacheList
{
    struct FontCacheList *descent,*ascent;
    struct TextFont *amiga_fnt;
    APTR   tiga_bm;
    LONG   reserved[4];
};

// List of BitMap cache entries :
struct BMCacheList
{
    struct BMCacheList *next,*prev;
    LONG   flag;
    struct BitMap *bitmap;
    PTR    tigamap;
    struct ChunkyMap *chunkymap;
};

// List of Pointer cache entries :
struct PointerCacheList
{
    struct PointerCacheList *next,*prev;
    PTR gspPointer;
    LONG AmigaPointer;
    LONG Reserved[4];
};

struct FontCacheList  *FirstFontEntry = NULL;
struct BMCacheList *FirstBitMapEntry = NULL;
struct PointerCacheList *FirstPointerEntry = NULL;

#endif