#ifndef POINTER_H
#define POINTER_H
/* pack the color 00redbluegreen */
#include <exec/types.h>
#include <a2410/typedefs.h>

CURSOR Pointer =
{
0,0,16,32,32,0x00ff0000,1,8,0L // 11x12
};


UBYTE Pointer_Data[] =  // Bytes gespiegelt !!!!
   {
   0xff,0xfe,0xff,0xff,   /* .############### */
   0xff,0xfc,0xff,0xff,   /* ..############## */
   0xff,0xf1,0xff,0xff,   /* #...############ */
   0xff,0xc1,0xff,0xff,   /* #.....########## */
   0xff,0x03,0xff,0xff,   /* ##......######## */
   0xfc,0x03,0xff,0xff,   /* ##........###### */
   0xff,0x87,0xff,0xff,   /* ###....######### */
   0xff,0x07,0xff,0xff,   /* ###.....######## */
   0xfe,0x4f,0xff,0xff,   /* ####..#..####### */
   0xfc,0xcf,0xff,0xff,   /* ####..##..###### */
   0xf9,0xff,0xff,0xff,   /* #########..##### */
   0xff,0xff,0xff,0xff,   /* ################ */
   0xff,0xff,0xff,0xff,   /* ################ */
   0xff,0xff,0xff,0xff,   /* ################ */
   0xff,0xff,0xff,0xff,   /* ################ */
   0xff,0xff,0xff,0xff,   /* ################ */

   0x00,0x02,0x00,0x00,   /* .#.............. */
   0x00,0x0d,0x00,0x00,   /* #.##............ */
   0x00,0x32,0x00,0x00,   /* .#..##.......... */
   0x00,0xc2,0x00,0x00,   /* .#....##........ */
   0x03,0x04,0x00,0x00,   /* ..#.....##...... */
   0x00,0x04,0x00,0x00,   /* ..#............. */
   0x00,0x88,0x00,0x00,   /* ...#...#........ */
   0x01,0x48,0x00,0x00,   /* ...#..#.#....... */
   0x02,0x90,0x00,0x00,   /* ....#..#.#...... */
   0x05,0x10,0x00,0x00,   /* ....#...#.#..... */
   0x02,0x00,0x00,0x00,   /* .........#...... */
   0x00,0x00,0x00,0x00,   /* ................ */
   0x00,0x00,0x00,0x00,   /* ................ */
   0x00,0x00,0x00,0x00,   /* ................ */
   0x00,0x00,0x00,0x00,   /* ................ */
   0x00,0x00,0x00,0x00,   /* ................ */
   };

CURSOR BusyPointer =
{
8,0,11,32,32,0x00ff0000,1,8,0L
};

UBYTE BusyPointer_Data[] =  // Bytes gespiegelt !!!!
   {
   0xfc,0x3f,0xff,0xff,    /* ######....###### */
   0xfc,0x1f,0xff,0xff,    /* ######.....##### */
   0xfe,0xbf,0xff,0xff,    /* #######.#.###### */
   0xf8,0x1f,0xff,0xff,    /* #####......##### */
   0xe3,0xe7,0xff,0xff,    /* ###...#####..### */
   0xc7,0xfb,0xff,0xff,    /* ##...########.## */
   0x9b,0xfd,0xff,0xff,    /* #..##.########.# */
   0x9d,0xfd,0xff,0xff,    /* #..###.#######.# */
   0x3e,0xfe,0xff,0xff,    /* ..#####.#######. */
   0x3f,0x7e,0xff,0xff,    /* ..######.######. */
   0x3f,0xfe,0xff,0xff,    /* ..#############. */
   0x9f,0xfd,0xff,0xff,    /* #..###########.# */
   0x9f,0xfd,0xff,0xff,    /* #..###########.# */
   0xcf,0xfb,0xff,0xff,    /* ##..#########.## */
   0xe3,0xe7,0xff,0xff,    /* ###...#####..### */
   0xf8,0x1f,0xff,0xff,    /* #####......##### */

   0x03,0xe0,0x00,0x00,    /* ......#####..... */
   0x03,0xe0,0x00,0x00,    /* ......#####..... */
   0x01,0xc0,0x00,0x00,    /* .......###...... */
   0x07,0xe0,0x00,0x00,    /* .....######..... */
   0x1f,0xf8,0x00,0x00,    /* ...##########... */
   0x37,0xfc,0x00,0x00,    /* ..##.#########.. */
   0x7b,0xfe,0x00,0x00,    /* .####.#########. */
   0x7d,0xfe,0x00,0x00,    /* .#####.########. */
   0xfe,0xff,0x00,0x00,    /* #######.######## */
   0xff,0xff,0x00,0x00,    /* ################ */
   0xff,0xff,0x00,0x00,    /* ################ */
   0x7f,0xfe,0x00,0x00,    /* .##############. */
   0x7f,0xfe,0x00,0x00,    /* .##############. */
   0x3f,0xfc,0x00,0x00,    /* ..############.. */
   0x1f,0xf8,0x00,0x00,    /* ...##########... */
   0x07,0xe0,0x00,0x00,    /* .....######..... */
   };

#endif /* POINTER_H */